summaryrefslogtreecommitdiffstats
path: root/libraries/SDL_gfx/SDL_gfx.SlackBuild
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:23:21 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:23:21 +0200
commitfe5877350e4f27878ba7d4fc46c3175b07955117 (patch)
tree2f85eb7b5897c5d28e233a6790c12b97ccf4def7 /libraries/SDL_gfx/SDL_gfx.SlackBuild
parentd55edb9a6226c59cbb5c00614295f3a787e7bb2e (diff)
downloadslackbuilds-fe5877350e4f27878ba7d4fc46c3175b07955117.tar.gz
slackbuilds-fe5877350e4f27878ba7d4fc46c3175b07955117.tar.xz
libraries/SDL_gfx: Updated for version 2.0.17
Diffstat (limited to 'libraries/SDL_gfx/SDL_gfx.SlackBuild')
-rw-r--r--libraries/SDL_gfx/SDL_gfx.SlackBuild39
1 files changed, 19 insertions, 20 deletions
diff --git a/libraries/SDL_gfx/SDL_gfx.SlackBuild b/libraries/SDL_gfx/SDL_gfx.SlackBuild
index 903e4c12d9..28e139d3e1 100644
--- a/libraries/SDL_gfx/SDL_gfx.SlackBuild
+++ b/libraries/SDL_gfx/SDL_gfx.SlackBuild
@@ -1,15 +1,13 @@
#!/bin/sh
# Slackware build script for: SDL_gfx
-# Written by (Michiel van Wessem <BP{k}>) (michiel@slackbuilds.org)
-
-# Copyright 2007 Michiel van Wessem (http://michielvwessem.wordpress.com)
+# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
-# 1. Redistributions of this script must retain the above copyright
+# *. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
@@ -23,29 +21,27 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified slightly by the SlackBuilds.org Project
-
-set -e
-
PRGNAM=SDL_gfx
-VERSION=2.0.16
+VERSION=2.0.17
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCFILES="AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS \
- README README-rpm Docs/*"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e # Exit on any error.
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -53,26 +49,29 @@ rm -rf $TMP/$PRGNAM-$VERSION
tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
+CFLAGm="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-./configure --prefix=/usr \
+./configure \
+ --prefix=/usr \
--localstatedir=/var \
--sysconfdir=/etc \
--with-x \
- --disable-debug \
--disable-static \
- --program-prefix="" \
- --program-suffix=""
+ --disable-debug
make
make install-strip DESTDIR=$PKG
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README README-rpm Docs/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc